Skip to main content
GET
/
v1
/
sites
/
{id}
Retrieve a single Site
curl --request GET \
  --url https://api.tread-horizon.com/v1/sites/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "company": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tread_id": "ABC123",
      "legal_name": "<string>",
      "company_type": "hauler"
    },
    "name": "<string>",
    "lat": "<string>",
    "lon": "<string>",
    "notes": "<string>",
    "state": "active",
    "external_id": "<string>",
    "full_address": "<string>",
    "routable": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "discarded_at": "2023-11-07T05:31:56Z",
    "address": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "thoroughfare": "<string>",
      "premise": "<string>",
      "locality": "<string>",
      "administrative_area": "<string>",
      "postal_code": "<string>",
      "country": "US",
      "lat": "<string>",
      "lon": "<string>",
      "place_id": "<string>"
    },
    "site_type": "Plant",
    "next_billion_geofence": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "geofence": {
        "name": "<string>",
        "type": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "geojson": {
          "type": "<string>",
          "coordinates": [
            [
              [
                "<unknown>"
              ]
            ]
          ]
        },
        "circle_center": {
          "lat": 123,
          "lon": 123
        },
        "circle_radius": 123,
        "tag": "pickup"
      },
      "moving_geofence": false,
      "tag": "scaling",
      "geofence_type": "moving"
    },
    "moving_site": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "equipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "polling_interval_seconds": 123
    },
    "department": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "contacts": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      }
    ],
    "editable": true,
    "company_share": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "<string>",
      "ticket_match_id": "<string>",
      "sender_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "dispatchable": true,
      "schedule_on": true,
      "rate_override": true,
      "expires_at": "2023-11-07T05:31:56Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string
required

Site ID

Response

OK

data
Site-Read · object
required